<?php

###########################
#Скрипт: Keo v1#
#Автор: GulievMMA#
#Версия: v1#
#Страна: Азербайджан#
#Город: Сумгайыт#
#Спорт: ММА#
#Сайт: KeoTop.Ru#
#Сайт: H9M.Ru#
#Телеграм: @AnarQuliyevMMA#
#E-mail: guliev.mma@gmail.com  #
#WhatsApp: +994 (77) 768-39-39#
#WhatsApp: +994 (55) 968-78-69#
############################
#Скрипт Принадлежит Мне , Продавать и Распростронять Нельзя (!)#
############################

define('NTOP', 1);
$title = 'Модерация сайтов';
require_once('../system/connect.php');
require_once('../system/core.php');
require_once('../system/function.php');
require_once('../m/head.php');
if ($u['level'] < 2)
{
echo '<div class="title2"><b>?? ???? ?????! </b></div>';
echo '<div class="topni">';
echo "<center><img src='/img/404/load.gif' alt='????????' /></center>";
echo '</div>';
echo '<div class="topni">';
header('Refresh: 3; URL=http://keotop.ru'); 
echo '????? ????????? ???. ?? ?????? ?????????????? ?? ??????? ???????? ???100'; 
echo '</div>';

require_once('../m/foot.php');
exit;
}
reg();
level(2);
switch($act)
	{
		default:
		echo '<div class="title2">Сайты на модерации</div>';
		$count = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `status` = '0'"));
		if($count > 0)
			{
				$total=intval(($count-1)/$set['page_moderacia'])+1; 
				$page=abs(intval($_GET['page'])); 
				if(empty($page) OR $page < 0)
					{
						$page = 1; 
				}	
				if($page > $total)
					{
						$page = $total; 
					}
				$past=intval($count/$set['page_moderacia']);  
				$start=$page*$set['page_moderacia']-$set['page_moderacia']; 
				$moder = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `status` = '0' ORDER BY `id` DESC LIMIT ".$start.",".$set['page_moderacia']."");
				while($row = mysql_fetch_array($moder)) 
					{
						$start++;
						echo '<div class="topni"><span class="o">'.$start.'</span>'.$row['url'].'</div>';
						echo '<div class="main">';
						echo 'URL: <a href="http://'.$row['url'].'">http://'.$row['url'].'</a><hr>';
						echo 'Описание: ';
						echo $row['about'].'<br/>';
						echo '</div>';
						echo '<div class="topni">';
						echo '<a href="http://'.$set['home'].'/adm_panel/moderacia.php?act=activate&id='.$row['id'].'">[Активировать]</a> :: ';
						echo '<a href="http://'.$set['home'].'/adm_panel/moderacia.php?act=delete&id='.$row['id'].'">[Удалить]</a><br/>';
						echo '</div>';
					}
				navigation($count,$set['page_moderacia'],$page,'http://'.$set['home'].'/adm_panel/moderacia.php?',$total);
			}
		else
			{
				echo '<div class="main">';
				echo '???°???????? ???° ???????ľ???°????? ???ľ??!<br/>';
				echo '</div>';
			}
		break;
		case 'activate':
		echo '<div class="title2">???????ľ???°????? ???°????????</div>';
		$up = mysql_query("UPDATE `".$prefix."sait` SET  `status` = '1' WHERE `id` = '".$id."'");
		if($up)
			{
				echo '<div class="main">';
				echo '???°???? ???????ľ?????? ?°?????????????????°??<br/>';
				echo '</div>';
			}
		else
			{
				echo '<div class="topni">';
				echo '???°???? ???ľ ?°?????????????????°??<br/>';
				echo '</div>';
			}
		break;
		case 'delete':
		echo '<div class="title2">???????ľ???°????? ???°????????</div>';
		$del = mysql_query("DELETE FROM `".$prefix."sait` WHERE `id` = '".$id."'");
		if($del)
			{
				echo '<div class="main">';
				echo '???°???? ???????ľ?????? ?????°?ť?ľ??<br/>';
				echo '</div>';
			}
		else
			{
				echo '<div class="topni">';
				echo '???°???? ???ľ ?????°?ť?ľ??<br/>';
				echo '</div>';
			}
		break;
	}

echo '<div class="main">';
echo '<a href="http://'.$set['home'].'/adm_panel/moderacia.php">Модерация</a><br/>';
echo '<a href="http://'.$set['home'].'/adm_panel/index.php">Админ панель</a><br/>';
echo '</div>';

require_once('../m/foot.php');
?>
